[Pkg-samba-maint] r1714 - trunk/ldb/debian

ctrlsoft-guest at alioth.debian.org ctrlsoft-guest at alioth.debian.org
Tue Jan 22 16:52:12 UTC 2008


Author: ctrlsoft-guest
Date: 2008-01-22 16:52:11 +0000 (Tue, 22 Jan 2008)
New Revision: 1714

Added:
   trunk/ldb/debian/build-orig.sh
Removed:
   trunk/ldb/debian/build-orig.sh
Modified:
   trunk/ldb/debian/changelog
   trunk/ldb/debian/control
   trunk/ldb/debian/rules
Log:
New upstream snapshot, adapt build-orig.sh script to work with git.


Deleted: trunk/ldb/debian/build-orig.sh
===================================================================
--- trunk/ldb/debian/build-orig.sh	2008-01-22 14:16:48 UTC (rev 1713)
+++ trunk/ldb/debian/build-orig.sh	2008-01-22 16:52:11 UTC (rev 1714)
@@ -1,20 +0,0 @@
-#!/bin/sh
-# Build a source tarball for ldb
-
-samba_repos=svn://svn.samba.org/samba/
-version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
-
-if echo $version | grep svn > /dev/null; then
-	# SVN Snapshot
-	revno=`echo $version | sed 's/^[0-9.]\+~svn//'`
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/ldb ldb-$version
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/replace ldb-$version/libreplace
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/talloc ldb-$version/libtalloc
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/tdb ldb-$version/libtdb
-else
-	# Release
-	svn export $samba_repos/tags/LDB_`echo $version | sed 's/\./_/g'` ldb-$version
-fi
-
-cd ldb-$version && ./autogen.sh && cd ..
-tar cvz ldb-$version > ldb_$version.orig.tar.gz

Added: trunk/ldb/debian/build-orig.sh
===================================================================
--- trunk/ldb/debian/build-orig.sh	                        (rev 0)
+++ trunk/ldb/debian/build-orig.sh	2008-01-22 16:52:11 UTC (rev 1714)
@@ -0,0 +1,27 @@
+#!/bin/bash
+GIT_URL=$1
+REFSPEC=$2
+shift 2
+
+if [ -z "$GIT_URL" ]; then
+	echo "Usage: $0 <samba4-git-url> [<refspec>]"
+	exit 1
+fi
+
+LDBTMP=$TMPDIR/$RANDOM.ldb.git
+version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
+git clone --depth 1 -l $GIT_URL $LDBTMP
+if [ ! -z "$REFSPEC" ]; then
+	pushd $LDBTMP
+	git checkout $REFSPEC
+	popd
+fi
+
+mv $LDBTMP/source/lib/ldb "ldb-$version"
+mv $LDBTMP/source/lib/replace "ldb-$version/libreplace"
+mv $LDBTMP/source/lib/tdb "ldb-$version/libtdb"
+mv $LDBTMP/source/lib/talloc "ldb-$version/libtalloc"
+rm -rf $LDBTMP
+pushd "ldb-$version" && ./autogen.sh && popd
+tar cvz "ldb-$version" > "ldb_$version.orig.tar.gz"
+rm -rf "ldb-$version"

Modified: trunk/ldb/debian/changelog
===================================================================
--- trunk/ldb/debian/changelog	2008-01-22 14:16:48 UTC (rev 1713)
+++ trunk/ldb/debian/changelog	2008-01-22 16:52:11 UTC (rev 1714)
@@ -1,3 +1,9 @@
+ldb (0.9.2~git20080122-1) unstable; urgency=low
+
+  * New upstream snapshot.
+
+ -- Jelmer Vernooij <jelmer at samba.org>  Tue, 22 Jan 2008 16:50:02 +0100
+
 ldb (0.9.1~svn26291-1) unstable; urgency=low
 
   * Set Vcs-Svn field.

Modified: trunk/ldb/debian/control
===================================================================
--- trunk/ldb/debian/control	2008-01-22 14:16:48 UTC (rev 1713)
+++ trunk/ldb/debian/control	2008-01-22 16:52:11 UTC (rev 1714)
@@ -4,7 +4,7 @@
 Maintainer: Jelmer Vernooij <jelmer at samba.org>
 Build-Depends: debhelper (>> 5.0.0), quilt (>= 0.40), tdb-dev (>= 1.1.0), libtalloc-dev, libtalloc1 (>= 1.1.0~), pkg-config, libpopt-dev, docbook-xsl, docbook-xml, xsltproc, python-dev, python-support (>= 0.4), swig
 Homepage: http://ldb.samba.org/
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ldb
 XS-DM-Upload-Allowed: yes
 

Modified: trunk/ldb/debian/rules
===================================================================
--- trunk/ldb/debian/rules	2008-01-22 14:16:48 UTC (rev 1713)
+++ trunk/ldb/debian/rules	2008-01-22 16:52:11 UTC (rev 1714)
@@ -2,6 +2,8 @@
 
 CFLAGS = -g -Wall
 
+version=$(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$$//' | sed 's/~.\+$$//')
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
@@ -43,7 +45,7 @@
 	./setup.py install --root=$(DESTDIR)
 	# Don't install ldbtest
 	rm -f $(DESTDIR)/usr/bin/ldbtest
-	ln -s libldb.so.0.9.1 $(DESTDIR)/usr/lib/libldb.so.0
+	ln -s libldb.so.$(version) $(DESTDIR)/usr/lib/libldb.so.0
 	ln -s libldb.so.0 $(DESTDIR)/usr/lib/libldb.so
 	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)
 




More information about the Pkg-samba-maint mailing list